complexType "Approval"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, status?, approver?
</...>

Content Model Elements (3):

  approver, status (in approval), | type (in approval)

All Direct / Indirect Based Elements (1):

  approval

Known Usage Locations

- As direct type of elements (1):
  approval

Annotation
A specific approval state in the workflow.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Approval"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="status" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="approver" type="xsd:normalizedString"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
approver

  Type: | xsd:normalizedString, predefined, simple content

  The full name or identifiying ID of the relevant approver.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="approver" type="xsd:normalizedString"/>

status

  Type: | xsd:normalizedString, predefined, simple content

  The current state of approval (.e.g preapproved, pending approval, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="status" type="xsd:normalizedString"/>

type

  Type: | xsd:normalizedString, predefined, simple content

  The type of approval (e.g. "Credit").
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.